<?php

namespace Service;

class Graphing {

    protected $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
    }

    public function getMediaConsumo($CDCLIENTE,$CDCONSUMIDOR,$DTINI,$DTFIM){
        $params = array(
            ':CDCLIENTE' => $CDCLIENTE,
            ':CDCONSUMIDOR' => $CDCONSUMIDOR,
            ':DTINI' => $DTINI,
            ':DTFIM' => $DTFIM
        );
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_MEDIA_CONSUMO,$params);
    }
    public function getProductGroups($CDCLIENTE, $CDCONSUMIDOR, $DTINI, $DTFIM){
        $params = array(
            ':CDCLIENTE' => $CDCLIENTE,
            ':CDCONSUMIDOR' => $CDCONSUMIDOR,
            ':DTINI' => $DTINI,
            ':DTFIM' => $DTFIM
        );
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_PRODUCT_GROUPS, $params);
    }

    public function getSubgroups($CDCLIENTE, $CDCONSUMIDOR, $DTINI, $DTFIM, $CDGRUPPROD){
        $params = array(
            ':CDCLIENTE' => $CDCLIENTE,
            ':CDCONSUMIDOR' => $CDCONSUMIDOR,
            ':DTINI' => $DTINI,
            ':DTFIM' => $DTFIM,
            ':CDGRUPPROD' => $CDGRUPPROD
        );
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_PRODUCT_SUBGROUPS, $params);
    }

    public function getProducts($CDCLIENTE, $CDCONSUMIDOR, $DTINI, $DTFIM, $CDGRUPPROD, $CDSUBGRPROD){
        $params = array(
            ':CDCLIENTE' => $CDCLIENTE,
            ':CDCONSUMIDOR' => $CDCONSUMIDOR,
            ':DTINI' => $DTINI,
            ':DTFIM' => $DTFIM,
            ':CDGRUPPROD' => $CDGRUPPROD,
            ':CDSUBGRPROD' => $CDSUBGRPROD
        );
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_PRODUCTS, $params);
    }

    //------------------------- Nutritional Vision

    public function getProductGroupsNutri($CDCLIENTE, $CDCONSUMIDOR, $DTINI, $DTFIM){
        $params = array(
            ':CDCLIENTE' => $CDCLIENTE,
            ':CDCONSUMIDOR' => $CDCONSUMIDOR,
            ':DTINI' => $DTINI,
            ':DTFIM' => $DTFIM
        );
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_PRODUCT_GROUPS_NUTRI, $params);
    }

    public function getSubgroupsNutri($CDCLIENTE, $CDCONSUMIDOR, $DTINI, $DTFIM, $CDGRUPPROD){
        $params = array(
            ':CDCLIENTE' => $CDCLIENTE,
            ':CDCONSUMIDOR' => $CDCONSUMIDOR,
            ':DTINI' => $DTINI,
            ':DTFIM' => $DTFIM,
            ':CDGRUPPROD' => $CDGRUPPROD
        );
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_PRODUCT_SUBGROUPS_NUTRI, $params);
    }

    public function getProductsNutri($CDCLIENTE, $CDCONSUMIDOR, $DTINI, $DTFIM, $CDGRUPPROD, $CDSUBGRPROD){
        $params = array(
            ':CDCLIENTE' => $CDCLIENTE,
            ':CDCONSUMIDOR' => $CDCONSUMIDOR,
            ':DTINI' => $DTINI,
            ':DTFIM' => $DTFIM,
            ':CDGRUPPROD' => $CDGRUPPROD,
            ':CDSUBGRPROD' => $CDSUBGRPROD
        );
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_PRODUCTS_NUTRI, $params);
    }

}